# opentl::core::cvdata::LucasKanadeFeatures Class Reference

Provides a Container for the Lucas Kanade Features. More...

Inherits opentl::core::cvdata::VisualFeatures.

List of all members.

## Public Member Functions
int | getFeatureCount ()
| Returns the feature count.
| LucasKanadeFeatures (int maxFeatures)
| Constructor.
| ~LucasKanadeFeatures ()
| Distructor.
## Public Attributes
int | maxFeatureCount
| maxFeatureCount - max feature count
std::vector< math::Vector4 * > | mBodyPointsNormalVec
| Vector containing 3D coordinates of the detected features point Normals in Body Space obtained after backprojection.
std::vector< math::Vector4 * > | mBodyPointsVec
| Vector containing 3D coordinates of the detected features in Body Space obtained after backprojection (x, y, z, targetFound) targetFound = -1 if target point not found, 0 if target point found.
CvPoint2D32f * | mCurrentFeaturePoints
| mCurrentFeaturePoints - Pointer to the feature points detected in the current image
CvPoint2D32f * | mPrevFeaturePoints
| mPrevFeaturePoints - Pointer to the feature points detected in the previous image
std::vector< int > | outputLinkIndex
| Vector containing status of link index for each point targetFound = -1 if no object found for this point, 0 if object found.
std::vector< int > | outputTargetIndex
| Vector containing status of detected target index for each point targetFound = -1 if target point not found, 0 if target point found.

## Detailed Description

Provides a Container for the Lucas Kanade Features.

## Constructor & Destructor Documentation

opentl::core::cvdata::LucasKanadeFeatures::LucasKanadeFeatures | ( | int | maxFeatures | ) |

Constructor.

Parameters:

  | maxFeatures | - max features to be detected and stored

opentl::core::cvdata::LucasKanadeFeatures::~LucasKanadeFeatures | ( |  | ) |

Distructor.

## Member Function Documentation

int opentl::core::cvdata::LucasKanadeFeatures::getFeatureCount | ( |  | ) | `[inline]`

Returns the feature count.

## Member Data Documentation

int opentl::core::cvdata::LucasKanadeFeatures::maxFeatureCount

maxFeatureCount - max feature count

std::vector<math::Vector4 *> opentl::core::cvdata::LucasKanadeFeatures::mBodyPointsNormalVec

Vector containing 3D coordinates of the detected features point Normals in Body Space obtained after backprojection.

std::vector<math::Vector4 *> opentl::core::cvdata::LucasKanadeFeatures::mBodyPointsVec

Vector containing 3D coordinates of the detected features in Body Space obtained after backprojection (x, y, z, targetFound) targetFound = -1 if target point not found, 0 if target point found.

CvPoint2D32f* opentl::core::cvdata::LucasKanadeFeatures::mCurrentFeaturePoints

mCurrentFeaturePoints - Pointer to the feature points detected in the current image

CvPoint2D32f* opentl::core::cvdata::LucasKanadeFeatures::mPrevFeaturePoints

mPrevFeaturePoints - Pointer to the feature points detected in the previous image

std::vector<int > opentl::core::cvdata::LucasKanadeFeatures::outputLinkIndex

Vector containing status of link index for each point targetFound = -1 if no object found for this point, 0 if object found.

std::vector<int > opentl::core::cvdata::LucasKanadeFeatures::outputTargetIndex

Vector containing status of detected target index for each point targetFound = -1 if target point not found, 0 if target point found.